Skip to main content
GET
List attestations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

attestation_id
string | null

The attestation ID to search for

name
string | null

Filter by exact attestation name. Cannot be combined with name_regex.

name_regex
string | null

Filter by attestation name (substring regex match)

flow
string[] | null

Filter by flow name. Repeat the parameter to match several flows.

type
string[] | null

Filter by attestation type. Use built-in types (e.g. 'junit', 'decision') or 'custom:' for custom types. Repeat the parameter to match several types.

is_compliant
boolean | null

Filter by compliance state. Omit to include both compliant and non-compliant.

from_timestamp
integer | null

From timestamp filter. Example: ?from_timestamp=1675167540

to_timestamp
integer | null

To timestamp filter. Example: ?to_timestamp=1675167540

after
string | null

Cursor for the next page. Use the token from a previous response's _links.next; omit for the first page.

per_page
integer | null
default:20

How many results to return per page of response (max 100)

Required range: 1 <= x <= 100

Response

Successful Response

data
AttestationResponse · object[]
required
Example:
pagination
PaginationInfo · object | null
Last modified on July 21, 2026